% gmee2016.cls - LaTeX document class for typesetting GMEE 2016 summaries
% Author: Massimo Ortolano 
%         Institution: Dipartimento di Elettronica - Politecnico di Torino
%         E-mail: massimo.ortolano@polito.it
%
% Last revised: 2/11/2005

\NeedsTeXFormat{LaTeX2e}[1995/12/01]% 
\ProvidesClass{gmee2016}[2016/09/10 v1.0a
  LaTeX document class for typesetting GMEE 2021 summaries]

\LoadClass[onecolumn,9pt,a4paper,notitlepage]{extarticle} % extarticle � necessaria per il 9pt, non supportato da article
\RequirePackage[font={small,it},tableposition=top]{caption}[2006/03/21]
\RequirePackage{times} % Per il font Times Roman

\setlength{\headheight}{0mm}%
\setlength{\headsep}{0mm}%
\setlength{\topmargin}{22.6mm}%        % margine superiore effettivo 48mm
\setlength{\oddsidemargin}{14.6mm}%    % margini laterali 40mm
\setlength{\evensidemargin}{14.6mm}%   
\setlength{\textheight}{201mm}%        % altezza totale del testo
\setlength{\textwidth}{130mm}%         % larghezza totale del testo 

\pagestyle{empty}%                     % Nessun numero di pagina
\setcounter{secnumdepth}{2}%           % Nessuna numerazione dei sottosottoparagrafi
\setlength{\parindent}{0mm}%           % Rimuove l'indentazione dei capoversi

\renewcommand{\section}{\@startsection
   {section}{1}{\z@}{\baselineskip}{0.01ex}%
   {\normalfont\normalsize\bfseries\MakeUppercase}}%
\renewcommand{\thesection}{\arabic{section}.}

% E se proprio qualcuno volesse mettere sottoparagrafi ecc.
\renewcommand{\subsection}{\@startsection
   {subsection}{2}{\z@}{\baselineskip}{0.01ex}%
   {\normalfont\normalsize\bfseries\MakeUppercase}}%
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}.}

\renewcommand{\subsubsection}{\@startsection
   {subsubsection}{3}{\z@}{\baselineskip}{0.01ex}%
   {\normalfont\normalsize\bfseries\itshape\MakeUppercase}}%

\renewcommand{\@maketitle}{%
  \newpage
  \begin{center}%
  \let \footnote \thanks
    {\normalsize\bfseries \uppercase{\@title} \par}%
    \vskip 1em
    {
      \lineskip .5em%
      \itshape
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}}%
  \end{center}}


